App\Library\Amazon\Classes\MusicPopular:
    xml_root_name: MusicPopular
    properties:
        mediaType:
            expose: true
            access_type: public_method
            serialized_name: MediaType
            accessor:
                getter: getMediaType
                setter: setMediaType
            type: string
        aspectRatio:
            expose: true
            access_type: public_method
            serialized_name: AspectRatio
            accessor:
                getter: getAspectRatio
                setter: setAspectRatio
            type: string
        vinylRecordDetails:
            expose: true
            access_type: public_method
            serialized_name: VinylRecordDetails
            accessor:
                getter: getVinylRecordDetails
                setter: setVinylRecordDetails
            type: string
        format:
            expose: true
            access_type: public_method
            serialized_name: Format
            accessor:
                getter: getFormat
                setter: setFormat
            xml_list:
                inline: true
                entry_name: Format
            type: array<string>
        dVDRegion:
            expose: true
            access_type: public_method
            serialized_name: DVDRegion
            accessor:
                getter: getDVDRegion
                setter: setDVDRegion
            xml_list:
                inline: true
                entry_name: DVDRegion
            type: array<integer>
        publishingCompany:
            expose: true
            access_type: public_method
            serialized_name: PublishingCompany
            accessor:
                getter: getPublishingCompany
                setter: setPublishingCompany
            type: string
        publisher:
            expose: true
            access_type: public_method
            serialized_name: Publisher
            accessor:
                getter: getPublisher
                setter: setPublisher
            type: string
        originalLanguageTitle:
            expose: true
            access_type: public_method
            serialized_name: OriginalLanguageTitle
            accessor:
                getter: getOriginalLanguageTitle
                setter: setOriginalLanguageTitle
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        copyright:
            expose: true
            access_type: public_method
            serialized_name: Copyright
            accessor:
                getter: getCopyright
                setter: setCopyright
            type: string
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        audioEncoding:
            expose: true
            access_type: public_method
            serialized_name: AudioEncoding
            accessor:
                getter: getAudioEncoding
                setter: setAudioEncoding
            type: string
        numberOfDiscs:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDiscs
            accessor:
                getter: getNumberOfDiscs
                setter: setNumberOfDiscs
            type: integer
        runTime:
            expose: true
            access_type: public_method
            serialized_name: RunTime
            accessor:
                getter: getRunTime
                setter: setRunTime
            type: integer
        artist:
            expose: true
            access_type: public_method
            serialized_name: Artist
            accessor:
                getter: getArtist
                setter: setArtist
            xml_list:
                inline: true
                entry_name: Artist
            type: array<string>
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            type: string
        subtitleLanguage:
            expose: true
            access_type: public_method
            serialized_name: SubtitleLanguage
            accessor:
                getter: getSubtitleLanguage
                setter: setSubtitleLanguage
            type: string
        originalPublicationDate:
            expose: true
            access_type: public_method
            serialized_name: OriginalPublicationDate
            accessor:
                getter: getOriginalPublicationDate
                setter: setOriginalPublicationDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        publicationDate:
            expose: true
            access_type: public_method
            serialized_name: PublicationDate
            accessor:
                getter: getPublicationDate
                setter: setPublicationDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        subjectKeywords:
            expose: true
            access_type: public_method
            serialized_name: SubjectKeywords
            accessor:
                getter: getSubjectKeywords
                setter: setSubjectKeywords
            xml_list:
                inline: true
                entry_name: SubjectKeywords
            type: array<string>
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        tenor:
            expose: true
            access_type: public_method
            serialized_name: Tenor
            accessor:
                getter: getTenor
                setter: setTenor
            xml_list:
                inline: true
                entry_name: Tenor
            type: array<string>
        piano:
            expose: true
            access_type: public_method
            serialized_name: Piano
            accessor:
                getter: getPiano
                setter: setPiano
            xml_list:
                inline: true
                entry_name: Piano
            type: array<string>
        oboe:
            expose: true
            access_type: public_method
            serialized_name: Oboe
            accessor:
                getter: getOboe
                setter: setOboe
            xml_list:
                inline: true
                entry_name: Oboe
            type: array<string>
        harp:
            expose: true
            access_type: public_method
            serialized_name: Harp
            accessor:
                getter: getHarp
                setter: setHarp
            xml_list:
                inline: true
                entry_name: Harp
            type: array<string>
        soprano:
            expose: true
            access_type: public_method
            serialized_name: Soprano
            accessor:
                getter: getSoprano
                setter: setSoprano
            xml_list:
                inline: true
                entry_name: Soprano
            type: array<string>
        saxophone:
            expose: true
            access_type: public_method
            serialized_name: Saxophone
            accessor:
                getter: getSaxophone
                setter: setSaxophone
            xml_list:
                inline: true
                entry_name: Saxophone
            type: array<string>
        sitar:
            expose: true
            access_type: public_method
            serialized_name: Sitar
            accessor:
                getter: getSitar
                setter: setSitar
            xml_list:
                inline: true
                entry_name: Sitar
            type: array<string>
        cello:
            expose: true
            access_type: public_method
            serialized_name: Cello
            accessor:
                getter: getCello
                setter: setCello
            xml_list:
                inline: true
                entry_name: Cello
            type: array<string>
        cornet:
            expose: true
            access_type: public_method
            serialized_name: Cornet
            accessor:
                getter: getCornet
                setter: setCornet
            xml_list:
                inline: true
                entry_name: Cornet
            type: array<string>
        violin:
            expose: true
            access_type: public_method
            serialized_name: Violin
            accessor:
                getter: getViolin
                setter: setViolin
            xml_list:
                inline: true
                entry_name: Violin
            type: array<string>
        bass:
            expose: true
            access_type: public_method
            serialized_name: Bass
            accessor:
                getter: getBass
                setter: setBass
            xml_list:
                inline: true
                entry_name: Bass
            type: array<string>
        mezzoSoprano:
            expose: true
            access_type: public_method
            serialized_name: MezzoSoprano
            accessor:
                getter: getMezzoSoprano
                setter: setMezzoSoprano
            xml_list:
                inline: true
                entry_name: MezzoSoprano
            type: array<string>
        guitar:
            expose: true
            access_type: public_method
            serialized_name: Guitar
            accessor:
                getter: getGuitar
                setter: setGuitar
            xml_list:
                inline: true
                entry_name: Guitar
            type: array<string>
        clarinet:
            expose: true
            access_type: public_method
            serialized_name: Clarinet
            accessor:
                getter: getClarinet
                setter: setClarinet
            xml_list:
                inline: true
                entry_name: Clarinet
            type: array<string>
        trumpet:
            expose: true
            access_type: public_method
            serialized_name: Trumpet
            accessor:
                getter: getTrumpet
                setter: setTrumpet
            xml_list:
                inline: true
                entry_name: Trumpet
            type: array<string>
        frenchHorn:
            expose: true
            access_type: public_method
            serialized_name: FrenchHorn
            accessor:
                getter: getFrenchHorn
                setter: setFrenchHorn
            xml_list:
                inline: true
                entry_name: FrenchHorn
            type: array<string>
        baritone:
            expose: true
            access_type: public_method
            serialized_name: Baritone
            accessor:
                getter: getBaritone
                setter: setBaritone
            xml_list:
                inline: true
                entry_name: Baritone
            type: array<string>
        vocals:
            expose: true
            access_type: public_method
            serialized_name: Vocals
            accessor:
                getter: getVocals
                setter: setVocals
            xml_list:
                inline: true
                entry_name: Vocals
            type: array<string>
        orchestra:
            expose: true
            access_type: public_method
            serialized_name: Orchestra
            accessor:
                getter: getOrchestra
                setter: setOrchestra
            xml_list:
                inline: true
                entry_name: Orchestra
            type: array<string>
        flute:
            expose: true
            access_type: public_method
            serialized_name: Flute
            accessor:
                getter: getFlute
                setter: setFlute
            xml_list:
                inline: true
                entry_name: Flute
            type: array<string>
        alto:
            expose: true
            access_type: public_method
            serialized_name: Alto
            accessor:
                getter: getAlto
                setter: setAlto
            xml_list:
                inline: true
                entry_name: Alto
            type: array<string>
        conductor:
            expose: true
            access_type: public_method
            serialized_name: Conductor
            accessor:
                getter: getConductor
                setter: setConductor
            xml_list:
                inline: true
                entry_name: Conductor
            type: array<string>
        contralto:
            expose: true
            access_type: public_method
            serialized_name: Contralto
            accessor:
                getter: getContralto
                setter: setContralto
            xml_list:
                inline: true
                entry_name: Contralto
            type: array<string>
        sourceCountryCode:
            expose: true
            access_type: public_method
            serialized_name: SourceCountryCode
            accessor:
                getter: getSourceCountryCode
                setter: setSourceCountryCode
            type: string
        sampleAvailabilityDatetime:
            expose: true
            access_type: public_method
            serialized_name: SampleAvailabilityDatetime
            accessor:
                getter: getSampleAvailabilityDatetime
                setter: setSampleAvailabilityDatetime
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
